Draft Dimension/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 7: Line 7:


==Použití==
==Použití==
# Stiskněte tlačítko {{KEY|[[Image:Draft Dimension.png|16px]] [[Kóta]]}} nebo klávesy {{KEY|D}} a pak {{KEY|I}}
# Stiskněte tlačítko {{KEY|[[Image:Draft Dimension.png|16px]] [[Draft Dimension/cs|Kóta]]}} nebo klávesy {{KEY|D}} a pak {{KEY|I}}
# Klikněte na bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na druhý bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na druhý bod ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]
# Klikněte na třetí bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na třetí bod ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]


==Dostupné typy kót==
==Dostupné typy kót==

Revision as of 19:31, 13 May 2014

Draft Dimension

Menu location
Draft -> Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
-
See also
FlipDimension

Popis

Nástroj Kóta kreslí kóty v aktuálním dokumentu podle dvou bodů definujících měřenou vzdálenost a třetího bodu, který určuje kudy bude kóta procházet.

Použití

  1. Stiskněte tlačítko Kóta nebo klávesy D a pak I
  2. Klikněte na bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice
  4. Klikněte na třetí bod ve 3D pohledu nebo zadejte souřadnice

Dostupné typy kót

  • Lineární kóty: výběrem libovolných dvou bodů nebo nějaké rovné hrany při stisknuté klávese ALT.
  • Vodorovné/svislé kóty: stisknutím klávesy SHIFT po výběru prvního bodu.
  • Kóty průměru: výběrem zakřivené hrany při stisknuté klávese ALT.
  • Kóty poloměru: výběrem zakřivené hrany při stisknuté klávese ALT a potom stiskem klávesy SHIFT.
  • Kóty úhlů: vyběrem 2 přímých hran při stisknuté klávese ALT.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • ÚdajeStart: The start point of the distance to measure
  • ÚdajeEnd: The end point of the distance to measure
  • ÚdajeDimline: A point through which the dimension line must pass
  • PohledDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • PohledFont Size: The size of the letters
  • PohledExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • PohledText Position: Can be used to force the text to be displayed at a certain position
  • PohledText Spacing: Specifies the space between the text and the dimension line
  • PohledOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • PohledFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • PohledArrow Type: The type of arrow to use
  • PohledArrow Size: The size of the arrows
  • PohledDecimals: The number of decimal places to display on the dimension
  • PohledFlip Arrows: Reverse the orientation of arrows

Skriptování

Nástroj Kóta může být využit v makrech a z konzoly Pythonu použitím následující funkce:

 makeDimension (p1,p2,[p3])

or

 makeDimension (object,i1,i2,p3)

or

 makeDimension (objlist,indices,p3)
  • Vytvoří objekt kóty s kótovací čárou procházející přes p3.
  • Objekt kóty přebíráe tloušťku čáry a barvu nastavenou v příkazovém pruhu.
  • Je několik způsobů vytvoření kóty v závislosti na předaných argumentech:
  1. (p1,p2,p3): vytvoří standardní kótu z p1 do p2.
  2. (object,i1,i2,p3): vytvoří spojenou kótu na daný objekt, která měří vzdálenost mezi vrcholy indexovanými i1 a i2.
  3. (object,i1,mode,p3): vytvoří spojenou kótu na daný objekt, i1 je index (zakřivené) měřené hrany a mód je buď "poloměr" nebo "průměr". Vrací nově vytvořený objekt.
 makeAngularDimension (center,[angle1,angle2],p3)
  • vytvoří úhlovou kótu z daného středu se zadaným seznamem úhlů procházející bodem p3.
  • Vrací nově vytvořený objekt.

Příklad:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links